Latest 0.1.0
Homepage https://github.com/fragginaj/NearbyPhotos
License MIT
Platforms ios 11.0
Dependencies Alamofire, AlamofireImage, SnapKit
Authors

[![CI Status](http://img.shields.io/travis/AJ Fragoso/NearbyPhotos.svg?style=flat)](https://travis-ci.org/AJ Fragoso/NearbyPhotos)
Version
License
Platform

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

iOS 11.0

Installation

NearbyPhotos is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod 'NearbyPhotos'

Usage

Add a location services usage description to your project’s Info.plist if it has not been done already. Here’s what that will look like:

<key>NSLocationWhenInUseUsageDescription</key>
<string>We need access to your location to find the most relevant content</string>

After that, simply initiate a LocatorViewController with your own Flickr API key and present it.

window?.rootViewController = LocatorViewController(flickrAPIKey: "{YOUR-KEY-HERE}")

Author

AJ Fragoso, @fragginaj

License

NearbyPhotos is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "NearbyPhotos",
    "version": "0.1.0",
    "summary": "An interface for acquiring the current location and viewing nearby Flickr photos.",
    "homepage": "https://github.com/fragginaj/NearbyPhotos",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "AJ Fragoso": "[email protected]"
    },
    "source": {
        "git": "https://github.com/fragginaj/NearbyPhotos.git",
        "tag": "0.1.0"
    },
    "social_media_url": "https://twitter.com/fragginaj",
    "platforms": {
        "ios": "11.0"
    },
    "source_files": "Source/**/*",
    "resources": "Source/Resources/Assets/*.{png,json}",
    "dependencies": {
        "Alamofire": [
            "~> 4.6"
        ],
        "AlamofireImage": [
            "~> 3.3"
        ],
        "SnapKit": [
            "~> 4.0.0"
        ]
    },
    "pushed_with_swift_version": "4.0"
}

Pin It on Pinterest

Share This